// TestGridBag.java
package jwiley.chp10;

import java.awt.Frame;
import java.awt.Button;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;

/** class to demonstrate the GridBag layout. */
class TestGridBag
{
    /** main() method to invoke from the JVM. */
    public static void main(String args[])
    {
        Button theButtons[] = new Button[5];
        for (int i=0; i < 5; i++)
                theButtons[i] = new Button("Button #" + (i+1));

        GridBagConstraints theConstraints[] = new GridBagConstraints[5];
        for (int i=0; i < 5; i++)
                theConstraints[i] = new GridBagConstraints();

        // create the Frame
        Frame theFrame = new Frame("Grid Bag Tester");
        theFrame.setSize(300,300);

        // set the layout of this container
        GridBagLayout gblayout = new GridBagLayout();
        theFrame.setLayout(gblayout);

        // set the constraints for each component and
        // add it to the container
        theConstraints[0].gridwidth = 11;
        theConstraints[0].gridheight = 1;
        theConstraints[0].gridx = 0;
        theConstraints[0].gridy = 0;
        theConstraints[0].weightx = 1.0;
        theConstraints[0].weighty = 1.0;
        theFrame.add(theButtons[0], theConstraints[0]);

        theConstraints[1].gridwidth = 1;
        theConstraints[1].gridheight = 9;
        theConstraints[1].gridx = 0;
        theConstraints[1].gridy = 1;
        theConstraints[1].weightx = 1.0;
        theConstraints[1].weighty = 1.0;
        theFrame.add(theButtons[1], theConstraints[1]);

        theConstraints[2].gridwidth = 9;
        theConstraints[2].gridheight = 9;
        theConstraints[2].gridx = 1;
        theConstraints[2].gridy = 1;
        theConstraints[2].weightx = 1.0;
        theConstraints[2].weighty = 1.0;
        theFrame.add(theButtons[2], theConstraints[2]);

        theConstraints[3].gridwidth = 1;
        theConstraints[3].gridheight = 9;
        theConstraints[3].gridx = 10;
        theConstraints[3].gridy = 1;
        theConstraints[3].weightx = 1.0;
        theConstraints[3].weighty = 1.0;
        theFrame.add(theButtons[3], theConstraints[3]);

        theConstraints[4].gridwidth = 11;
        theConstraints[4].gridheight = 1;
        theConstraints[4].gridx = 0;
        theConstraints[4].gridy = 10;
        theConstraints[4].weightx = 1.0;
        theConstraints[4].weighty = 1.0;
        theFrame.add(theButtons[4], theConstraints[4]);

        theFrame.setLocation(50,50);
        theFrame.setVisible(true);
    }
}
