// ContinueAndBreak.java
package jwiley.chp2;

/**
 * Class to test labeled continue and break.
 * @version 1.2
 * @author Michael C. Daconta
 */
class ContinueAndBreak
{
    /** main method to invoke program from JVM. */
    public static void main(String args[])
    {
        int i=0, j=0;

        System.out.println("*** Continue test ***");
        outaHere:
        while (i++ < 3)
        {
            while (j < 50)
            {
                System.out.println("i: " + i + " j: " + j);

                if (j++ < 2)
                {
                    System.out.println("Continuing on.");
                    continue;
                }
                else
                {
                    System.out.println("Continuing outaHere.");
                    continue outaHere;
                }
            }

            i++;
        }

        i=0; j=0;

        System.out.println("*** Break test ***");
        outerLoop:
        for (i = 0; i < 4; i++)
        {
            for (j=0; j < 4; j++)
            {
                if (i != 0 && i % 2 == 0)
                {
                    System.out.println("Breaking from outerLoop.");
                    break outerLoop;
                }

                if (j != 0 && j % 2 == 0)
                {
                    System.out.println("Breaking from inner loop.");
                    break;
                }
                System.out.println("i: " + i + " j: " + j);
            }
        }

    }
}
