// ControlFlowTest.java
package jwiley.chp2;

/**
 * A class to demonstrate Java control flow constructs.
 * @version 1.1
 * @author Michael C. Daconta
 */
class ControlFlowTest
{
    /** main() method to invoke from JVM. */
    public static void main(String args[])
    {
        int a = 1, b = 2, c = 3;

        System.out.print("The ");

        /* if statement. */
        if (a > 1)
            System.out.print("old ");
        else
            System.out.print("young ");

        System.out.print("man ");

        /* switch construct. */
        switch (b)
        {
            case 1:
                System.out.print("is ");
            break;
            case 2:
                System.out.print("was ");
            break;
            case 3:
                System.out.print("can ");
            break;
            default:
                System.out.print("will ");
        }

        System.out.print("singing ");

        /* for loop. */
        for (int i=0,j=0; i < c; i++, j++)
            System.out.print("FaLaLa, ");

        System.out.println("and ");

        /* while loop. */
        while (c-- > 0)
            System.out.print("TaDeDa, ");

        /* do-while loop. */
        do
        {
            System.out.print("all ");
        } while (c == 3);

        System.out.println("the way home.");
    }
}
