// LeapYear.java
package jwiley.chp2;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

/**
 * Class to accept a year and state if it is a leapyear.
 * @author Michael C. Daconta
 */
class LeapYear
{
    /** The main method. */
    public static void main(String args[])
    {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        String Syear=null;
        System.out.print("Enter a year: ");
        System .out.flush();
        try
        {
            Syear = br.readLine();
        } catch (IOException ioe)
          {
            System.out.println(ioe.toString());
            System.exit(1);
          }

        long year = Long.parseLong(Syear);
        System.out.println("year is " + year);
        if ( ((year % 4 == 0) && (year % 100 != 0))  ||
              (year % 400 == 0) )
            System.out.println(year + " is a leap year!");
        else
            System.out.println(year + " is NOT a leap year.");
    }
}
