// LiteralTest.java
package jwiley.chp2;

/**
 * Class to demonstrate Java literals.
 * @author Michael C. Daconta
 */
class LiteralTest
{
    /** Main method to invoke from JVM. */
    public static void main(String args[])
    {
        int myint = 123;        /* C-style int  literal        */
        long mylong = 123L;     /* C-style Long literal        */
        int hexnum = 0x1ac;     /* C-style Hexadecimal literal */
        int octnum = 037;       /* C-style Octal literal       */
        double mydouble = 3.12; /* C-style double literal      */

        char mychar = 'c';      /* C-style character literal   */
        char newline   = '\n';  /* C-style escape sequence     */
        char backspace = '\b';
        char formfeed  = '\f';
        char cr        = '\r';
        char tab       = '\t';
        char backslash = '\\';
        char snglequote= '\'';
        char doubquote = '\"';
        char Octal     = '\032';
        char Unicodeltr= '\u0391'; /* Greek capital A */
        String myname = "Mike"; /* C-style string literal      */
        float javaFloat = 2e3f;
        float javaFloat2 = 2E3f;
        double javaDouble = 1e1;

        boolean done = false; /* Java-specific. */
        String nullRef = null;

        /* Illegal in Java - compile time error.
        char bell      = '\a';
        char vertTab   = '\v';
        char question  = '\?';
        */
    }
}