// SystemProperties.java
package jwiley.chp2;

import java.util.Properties;

/** Class to demonstrate the System class. */
public class SystemProperties
{
    /** main() method to invoke from JVM. */
    public static void main(String args[])
    {
        Properties props = System.getProperties();

        // list the properties
        props.list(System.out);

        // access an individual property
        System.out.println("\n Accessing individual properties.");
        String fileSeparator = System.getProperty("file.separator");
        System.out.println("File Separator is <" + fileSeparator +
                                ">");
    }
}
