// AdptrTst.java

import java.awt.Button;
import java.awt.Frame;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
public class AdptrTst 
{
	public AdptrTst(String args[]) { }
	void ButtonAPushed() 
	{ 
		System.out.println("Button A pushed"); 
		System.out.flush();
	}
	void ButtonBPushed()
	{ 
		System.out.println("Button B pushed"); 
		System.out.flush();
	}

	void ButtonQuitPushed()
	{ 
		System.out.println("quitting!"); 
		System.out.flush();
        System.exit(1);
	}
	static public void main (String args[]) 
	{
		AdptrTst app = new AdptrTst(args);
		GUI gui = app.new GUI();
	} // End main

	// Now define the inner class which represents the gui
	// and is defined within the application.
	class GUI extends Frame {
		public GUI() {
			setLayout(new FlowLayout());
			Button a = new Button("Button A");
			Button b = new Button("Button B");
			Button quit = new Button("Quit");
			add(a); // Insert into frame
			add(b);
			add(quit);

			// Now use an adapter class to hook the button press
			a.addActionListener (
				new ActionListener() {
					 public void actionPerformed(ActionEvent e) {
						ButtonAPushed();
					}
				}
			);
			// Likewise the other button
			b.addActionListener (
				new ActionListener() {
					 public void actionPerformed(ActionEvent e) {
						ButtonBPushed();
					}
				}
			);
			// Likewise the other button
			quit.addActionListener (
				new ActionListener() {
					 public void actionPerformed(ActionEvent e) {
						ButtonQuitPushed();
					}
				}
			);
		pack();
		show();
		}
	} // Close the frame class extention
} // close the app itself.
