// TestNumTypes.java
package jwiley.chp6;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.Vector;
import java.io.IOException;

/** Class to demonstrate type wrapper classes. */
public class TestNumTypes
{
    /** main() method to invoke from JVM. */
    public static void main(String args[])
    {
        BufferedReader br = new BufferedReader(
                            new InputStreamReader(System.in));
        int myInt;
        String IntString = null;
        String FloatString = null;

        System.out.print("Enter an Integer: ");
        System.out.flush();
        try
        {
          IntString = br.readLine();
        } catch (IOException ioe)
          {
                System.out.println("IO Exception");
                System.exit(1);
          }
        myInt = Integer.parseInt(IntString);
        System.out.println("myInt : " + myInt);

        System.out.print("Enter a Float: ");
        System.out.flush();
        try
        {
          FloatString = br.readLine();
        } catch (IOException ioe)
          {
                System.out.println("IO Exception.");
                System.exit(1);
          }
        Float myFloat = Float.valueOf(FloatString);
        System.out.println("myFloat : " + myFloat);

        Integer intObject = new Integer(myInt);

        // stuff num objects into a Vector
        Vector numbers = new Vector(2);
        numbers.addElement(intObject);
        numbers.addElement(myFloat);

        Integer anInt = (Integer) numbers.elementAt(0);
        Float aFloat = (Float) numbers.elementAt(1);

        System.out.println("At Vec element 0 : " + anInt);
        System.out.println("At Vec element 1 : " + aFloat);
    }
}
