
package jwiley.chp7;

import java.util.ResourceBundle;
import java.util.Locale;

public class ReasonsToCodeInJava
{
    public static void main (String args[])
    {
        ResourceBundle  bundle = null;
        Locale          locale = null;

        if (args.length == 1)
        {
            if (args[0].equals("-ForrestGump"))
            {
                locale = new Locale("en", "US", "ForrestGump");
            }
            else if (args[0].equals("-CubaGooding"))
            {
                locale = new Locale("en", "US", "CubaGooding");
            }
            else if (args[0].equals("-HomerSimpson"))
            {
                locale = new Locale("en", "US", "HomerSimpson");
            }
        }

        if (locale == null)
            bundle = ResourceBundle.getBundle("JavaStatements");
        else
            bundle = ResourceBundle.getBundle("JavaStatements", locale);

        System.out.println("Reasons to code in Java:");
        System.out.println(bundle.getString("JavaFun"));
        System.out.println(bundle.getString("JavaPower"));
        System.out.println(bundle.getString("JavaFlex"));
    }
}