// TestInetAddress.java
import java.net.InetAddress;
import java.net.UnknownHostException;

/** Class to demonstrate the InetAddress class. */
public class TestInetAddress
{
    /** main() method to invoke from the JVM. */
    public static void main(String args[])
    {
        InetAddress myAddress=null;
        InetAddress Mystech=null;

        // get my machine's internet address
        try
        {
            myAddress = InetAddress.getLocalHost();
        } catch (UnknownHostException uhe)
          {
                System.out.println("Local host is unknown.");
                System.exit(1);
          }

        System.out.println(myAddress.toString());

        // get mystech's internet address
        try
        {
            Mystech = InetAddress.getByName("Mystech.com");
        } catch (UnknownHostException uhe)
          {
                System.out.println(uhe.toString());
                System.out.println("Mystech.com not known.");
                System.out.println("Ensure TCP/IP connection to internet is up.");
                System.exit(1);
          }

        System.out.println(Mystech.toString());
    }
}
