
package jwiley.chp10;

import java.awt.Color;
import java.awt.Point;
import java.awt.Cursor;
import java.awt.Graphics;

public abstract class DrawingObject
{
    protected Color     color;

    public void setColor(Color color)
    {   this.color = color; }

    public Color getColor()
    {   return (color);     }

    public abstract void draw (DrawCanvas drawCanvas, Graphics g);
    public abstract void erase (DrawCanvas drawCanvas);
    public abstract void resize (DrawCanvas drawCanvas, Point p);
    public abstract void resize (DrawCanvas drawCanvas, Point p, Cursor cursor);
    public abstract void setMoveAnchor (Point p);
    public abstract void move (DrawCanvas drawCanvas, Point p);
    public abstract boolean isBorderClicked (DrawCanvas drawCanvas, Point p);
    public abstract void select (DrawCanvas drawCanvas);
    public abstract void deselect (DrawCanvas drawCanvas);
    public abstract void setHandleCursor (DrawCanvas drawCanvas, Point p);
}
