// HtmlTable.java
package jwiley.chp20.html;

import java.util.Vector;

/**
 * This class represents an html table
 *
 * @author  Eric Monk
 * @version 1.0
 */
public class HtmlTable implements HtmlComponent
{
    private Vector vRows = new Vector();
    private Vector vParameters = new Vector();

    public HtmlTable ()      {   }

    public void addRow (HtmlTableRow row)
    {
        vRows.addElement(row);
    }

    public void addParameter(String sParameter)
    {
        vParameters.addElement(sParameter);
    }

    public String getHtml ()
    {
        StringBuffer sbHtmlText = new StringBuffer();

        sbHtmlText.append("\n<TABLE");

        for (int iCount = 0; iCount < vParameters.size(); iCount++)
        {
            sbHtmlText.append(" " + (String)vParameters.elementAt(iCount));
        }
        sbHtmlText.append(">\n");

        for (int iCount = 0; iCount < vRows.size(); iCount++)
        {
            HtmlComponent comp = (HtmlComponent) vRows.elementAt(iCount);
            sbHtmlText.append(comp.getHtml() + "\n");
        }

        sbHtmlText.append("</TABLE>\n");

        return (sbHtmlText.toString());

    }
}
