#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <stdexcept.h>

class ResultTooLarge : public exception{
	char message[80];

	public:
	ResultTooLarge(char * msg)
	{
		strcpy(message,msg);
	}

	const char *what()
	{
		cout << "Exception: " << message << endl;
		return message;
	}
};

void my_unexpected()
{
	cout << "Catching unexpected exceptions." << endl;
}

void my_terminate()
{
	cout << "If unexpected not handled, call me." << endl;
	exit(1);
}

void badboy()  // can throw all exceptions
{
	throw ResultTooLarge("I'll throw any exception I like.");
}

void goodboy() throw (ResultTooLarge)
{
	throw ResultTooLarge("You can expect me only to throw ResultTooLarge");
}

void greatboy() throw()
{
	cout << "I don't throw ANY exceptions." << endl;
}

void main()
{
	set_unexpected(my_unexpected);
	set_terminate(my_terminate);
	
	int a=100, b=2;
	try {
		int result = a/b;
		if (result > 5)
		{
			char msg[80];
			sprintf(msg,"%d is too Large.", result);
			throw ResultTooLarge(msg);
		}
	} catch (ResultTooLarge e)
		{
			cout << "Caught the result too large." << endl;
			e.what();
		}
	  catch (...)
	  	{
	  		cout << "Caught any exception." << endl;
	  	}	
}
