/** RandomRobot.java */
package jwiley.chp4.Robots;

import jwiley.chp4.Robot;

import java.util.Random;

public class ToughRobot implements Robot
{
    int iValue;
    int iArmor;
    int iSpeed;
    int iFirePower;

    public void setInitialCapital(int units)
    {
        iValue = units;

        // All fight, no flee
	    int iHalf = units / 2;
	    iFirePower = iHalf;
	    iArmor = iHalf;
	    iSpeed = 0;
    }

    public int getArmor()
    { return iArmor; }
    public int getFirePower()
    { return iFirePower; }
    public int getSpeed()
    { return iSpeed; }
    public void setArmor(int curArmor)
    { iArmor = curArmor; }
    public void setFirePower(int curFirePower)
    { iFirePower = curFirePower; }
    public void setSpeed(int curSpeed)
    { iSpeed = curSpeed; }
    public int getNextAction()
    {
        return Robot.ACTION_OFFENSIVE_ATTACK;
    }

    public void assessOpponent(int currentUnits) { }

    public String toString()
    {
        return "ToughRobot: Armor(" + iArmor + ") " +
               "Speed(" + iSpeed + ") " +
               "FirePower(" + iFirePower + ")";
    }

    public String getName()
    { return "ToughRobot"; }
}
