// ThrowException.java
package jwiley.chp6;

/** Class to represent a RuntimeException. */
class SeriousException extends RuntimeException
{
    /** constructor. */
    SeriousException()
    { super("A really bad exception."); }
}

/** Class to represent an exception we can handle. */
class RecoverableException extends Exception
{
    /** constructor. */
    RecoverableException()
    { super("catch this"); }
}

/** Class to throw both types of exceptions. */
public class ThrowException
{
    /** main() method to invoke from JVM. */
    public static void main(String args[]) throws RecoverableException
    {
        try
        {
            throw new SeriousException();
        } catch(Exception e)
          {
            e.toString();
          }
          finally
          {
            throw new RecoverableException();
          }
    }
}
